Skip to main content
PUT
/
evidence
/
external
/
{externalId}
Create or update an evidence record by external ID
curl --request PUT \
  --url https://api.artu.ai/evidence/external/{externalId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "type": "<string>",
  "expiresAt": "2023-12-25",
  "metadata": {},
  "transactionIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "fields": {},
  "filename": "<unknown>",
  "size": "<unknown>",
  "storagePath": "<unknown>"
}
'
{
  "data": {
    "type": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "status": "pending_upload",
    "filename": "<string>",
    "contentType": "<string>",
    "size": 0,
    "expiresAt": "2023-12-25",
    "verifiedAt": "2023-11-07T05:31:56Z",
    "verifiedBy": "<string>",
    "rejectionReason": "<string>",
    "reviewedAt": "2023-11-07T05:31:56Z",
    "reviewedBy": "<string>",
    "externalId": "<string>",
    "fields": {},
    "metadata": {}
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

externalId
string
required

External ID

Minimum string length: 1

Body

application/json
scope
enum<string>
required
Available options:
MX,
US
type
string
required
Minimum string length: 1
contentType
enum<string>

Content Type

Available options:
image/jpeg,
image/png,
image/webp,
application/pdf,
application/xml,
text/xml
category
enum<string>

Category

Available options:
invoice,
receipt,
bank_statement,
proof_of_payment,
contract,
shipping,
other
expiresAt
string<date>

Expires At

metadata
object

Metadata

transactionIds
string<uuid>[]

Transactions to link this evidence to

fields
object
filename
any
size
any
storagePath
any

Response

200 - application/json

OK

data
object
required
action
enum<string>
required
Available options:
created,
updated,
skipped